{% extends 'bookDetails.html' %}
{% load static %}
{% load customTags %}

{% block review %}

<div class="row">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12 lenders">
                                                    <h2 class="Underline" style="color:#00838F;font-size:35px;margin-bottom: 4%;font-weight: 550;">Book Discussion</h2>

<h2>Latest reviews</h2>

{% if latest_review_list %}
<div>
    {% for review in latest_review_list  %}
    
    <div>
        <h6>rated <img  src="/static/img/{{ review.rating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                 {{ review.rating }} of 5 by {{ review.user_name }}<p style="float: right; display: inline-block;">{{review.pub_date}}</p></h6>
       
        <p class="minimize">{{ review.comment }}</p>
        {% if review.lrating  %}
        <h6>Language <img  src="/static/img/{{ review.lrating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.lrating }} of 5 </h6>
               <p class="minimize">{{ review.language }}</p>

        {% endif %}
 {% if review.wrating  %}
        <h6>Writing Style <img  src="/static/img/{{ review.wrating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.wrating }} of 5 </h6>
               <p class="minimize">{{ review.writing }}</p>

        {% endif %}
 {% if review.crating  %}
        <h6>Cover <img  src="/static/img/{{ review.crating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.crating }} of 5 </h6>
               <p class="minimize">{{ review.cover }}</p>

        {% endif %}
 {% if review.prating  %}
        <h6>Plot <img  src="/static/img/{{ review.prating }}.png" style="display:inline-block;width:50px;margin-bottom: 2%;">
                                {{ review.prating }} of 5 </h6>
               <p class="minimize">{{ review.plot }}</p>

        {% endif %}

          <a href="/books/{{ book.id }}/likeReview/{{review.id}}">
          {{ review.likecount}}Like</a> 
          <hr />
    </div> 

    {% endfor %}
    <a class="waves-effect waves-light btn red Button" data-toggle="modal" href="/books/{{book.id}}/reviewDetail/" id="reviewheading" style="align-self: center;">See More</a>
</div>
{% else %}
<p>No reviews are available.</p>
{% endif %}
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" onclick="addreview()" id="reviewheading">Add your review</button>

<div style=" display:none;" id="reviewform" >
{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

<form action="/books/{{ book.id }}/addReview/" method="post">
    {% csrf_token %}
    {{ form.as_p }}
<button class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" value="add">Add</button>
</form>
{% endblock %}
